// TeZ - SoS workshop  2018 - neopixel rgb led + esp 32 //


#include <NeoPixelBus.h>

const uint16_t PixelCount = 1; // how many neopixels in your strip?
const uint8_t PixelPin = 27; // ignored for Esp8266 - Wemos, it uses GPIO2 = PIN D4 (UART MODE)

#define colorSaturation 128

// declare strip
NeoPixelBus<NeoGrbFeature, Neo800KbpsMethod> strip(PixelCount, PixelPin);


RgbColor red(colorSaturation, 0, 0);
RgbColor green(0, colorSaturation, 0);
RgbColor blue(0, 0, colorSaturation);
RgbColor white(colorSaturation);
RgbColor black(0);

HslColor hslRed(red);
HslColor hslGreen(green);
HslColor hslBlue(blue);
HslColor hslWhite(white);
HslColor hslBlack(black);


void setup()
{
Serial.begin(115200);
while (!Serial); // wait for serial attach

Serial.println();
Serial.println("Initializing...");
Serial.flush();

// this resets all the neopixels to an off state
strip.Begin();
strip.Show();


Serial.println();
Serial.println("Running...");
}


void loop()
{

// Serial.println("color test");
// set the color, 
strip.SetPixelColor(0, red);
strip.Show(); 
delay(1000);
strip.SetPixelColor(0, green);
strip.Show(); 
delay(1000);
strip.SetPixelColor(0, blue);
strip.Show(); 
delay(1000);
strip.SetPixelColor(0, hslWhite);
strip.Show(); 
delay(1000);
// turn off the pixels
strip.SetPixelColor(0, hslBlack);
strip.Show();
delay(1000);

}
